about summary refs log tree commit diff
path: root/t/errors.t
diff options
context:
space:
mode:
Diffstat (limited to 't/errors.t')
-rwxr-xr-xt/errors.t23
1 files changed, 22 insertions, 1 deletions
diff --git a/t/errors.t b/t/errors.t
index c2ecd5e..eb05dc0 100755
--- a/t/errors.t
+++ b/t/errors.t
@@ -1,7 +1,7 @@
 #!/bin/sh
 export "PATH=.:$PATH"
 
-printf '1..13\n'
+printf '1..16\n'
 printf '# error handling\n'
 
 tap3 'exit code on success' <<'EOF'
@@ -21,6 +21,27 @@ a
 >>>= 123
 EOF
 
+tap3 'exit code on when command fails with 126' <<'EOF'
+xe -s 'exit 126'
+<<<
+a
+>>>= 123
+EOF
+
+tap3 'exit code on when command fails with 127' <<'EOF'
+xe -s 'exit 127'
+<<<
+a
+>>>= 123
+EOF
+
+tap3 'exit code on when command fails with 250' <<'EOF'
+xe -s 'exit 250'
+<<<
+a
+>>>= 123
+EOF
+
 tap3 'exit code on when command fails with 255' <<'EOF'
 xe -s 'exit 255'
 <<<